# Copyright (c) 2012 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


""" The :mod:`dip.automate` module contains a collection of classes that allow
an application to be automated.
"""


from .i_automated import IAutomated
from .i_automated_action_trigger import IAutomatedActionTrigger
from .i_automated_dialog import IAutomatedDialog
from .i_automated_editor import IAutomatedEditor
from .i_automated_list_editor import IAutomatedListEditor
from .i_automated_option_selector import IAutomatedOptionSelector
from .i_automated_shell import IAutomatedShell
from .i_automated_tab_bar import IAutomatedTabBar
from .i_automated_table_editor import IAutomatedTableEditor
from .i_automated_trigger import IAutomatedTrigger

from .automation_commands import AutomationCommands
from .exceptions import AutomationError
from .robot import Robot
