# Copyright (c) 2012 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


from ...model import Str


class Version(Str):
    """ The Version class is a string for holding an application version. """

    def __init__(self, default='', **metadata):
        """ Initialise the object. """

        # Provide default meta-data.
        metadata.setdefault('required', 'stripped')
        metadata.setdefault('tool_tip', "The version of the application")
        metadata.setdefault('whats_this',
                "This is the version of the application. It does not impose "
                "any particular format but must not be blank.")

        super().__init__(default, **metadata)
