# Copyright (c) 2012 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


from ..model import Instance, Singleton

from .i_io_manager import IIoManager


class IoManager(Singleton):
    """ The IoManager class is a singleton that provides access to a default
    :term:`i/o manager`.
    """

    # The i/o manager instance.
    instance = Instance(IIoManager)

    @instance.default
    def instance(self):
        """ Invoked to return the i/o manager. """

        from .default_io_manager import IoManager

        return IoManager()
