# Copyright (c) 2012 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


from ..model import Any, Interface


class IModelPublisher(Interface):
    """ The IModelPublisher interface defines the API to be implemented by a
    :term:`tool` that publishes a :term:`model` to other tools that implement
    the :class:`~dip.shell.IModelSubscriber` interface.  A model is published
    by the shell to all subscribers when one of the publishing tool's views
    becomes current.
    """

    # The model being published.
    published_model = Any()
