# Copyright (c) 2011 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


from ..model import adapt, Adapter, Instance, Interface

from .i_controller import IController
from .i_view import IView


class IViewBinding(Interface):
    """ The IViewBinding interface defines the additional data to be bound to a
    view.
    """

    # The controller.
    controller = Instance(IController)

    # The factory that created the view.
    factory = Instance('dip.ui.ViewFactory')


@adapt(IView, to=IViewBinding)
class IViewIViewBindingAdapter(Adapter):
    """ The IViewIViewBindingAdapter adapts IView to IViewBinding. """
